Bug 8454 - fail to import .reg files under Win7
fail to import .reg files under Win7
Status: CLOSED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.11
x86 Windows 7
: P5 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-14 00:35 UTC by anctop
Modified: 2011-09-27 06:49 UTC (History)
0 users

See Also:


Attachments
smb.conf (1.20 KB, text/plain)
2011-09-14 00:37 UTC, anctop
no flags Details
SMB_test.reg (70 bytes, text/plain)
2011-09-14 00:37 UTC, anctop
no flags Details
error from Win7 (33.65 KB, image/jpeg)
2011-09-14 00:39 UTC, anctop
no flags Details
samba log for the Win7 session (with the error) (195.06 KB, text/plain)
2011-09-14 00:41 UTC, anctop
no flags Details
samba log for the WinXP session (without the error) (307.12 KB, text/plain)
2011-09-14 00:41 UTC, anctop
no flags Details
level 100 samba log for the Win7 session (with the error) (385.52 KB, text/plain)
2011-09-15 03:36 UTC, anctop
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description anctop 2011-09-14 00:35:50 UTC
On Win7 clients, an error occurs when importing registry entries from .reg files kept in a read-only SMB share.


Server OS : LFS running kernel-2.6.39.2 with binutils-2.21, gcc-4.4.5, 
glibc-2.13

Samba version 3.5.11

 1. unpacked the distribution file samba-3.5.11.tar.gz
 2. cd samba-3.5.11/source3
 3. sh ./configure --prefix=/10/samba-3.5.11 --datarootdir=/10/samba-3.5.11 \
       --enable-shared --with-cifsmount --with-cifsumount --with-quotas \
       --with-sys-quotas
 4. make
 5. make install
 6. ln -s samba-3.5.11 /10/samba
 7. added /10/samba/lib to /etc/ld.so.conf and run ldconfig
 8. created /10/samba/lib/smb.conf (see attachment below)
 9. /10/samba/sbin/nmbd -D
    /10/samba/sbin/smbd -D
10. created users :
    useradd user0
    /10/samba/bin/smbpasswd -a root
    /10/samba/bin/smbpasswd -a -n nobody
    /10/samba/bin/smbpasswd -a user0
11. created directory /Software and uploaded file SMB_test.reg (see attachment
    below)
12. from a Win7 computer :
    > net use X: \\x009\Software /user:WORKGROUP\user0
    > regedit X:\SMB_test.reg
    this produced the error (see attachment below), but the file SMB_test.reg
    can be opened by a text editor
13. the above step was repeated on a WinXP computer without error (see 
    attachment below)
Comment 1 anctop 2011-09-14 00:37:11 UTC
Created attachment 6884 [details]
smb.conf
Comment 2 anctop 2011-09-14 00:37:54 UTC
Created attachment 6885 [details]
SMB_test.reg
Comment 3 anctop 2011-09-14 00:39:40 UTC
Created attachment 6886 [details]
error from Win7
Comment 4 anctop 2011-09-14 00:41:12 UTC
Created attachment 6887 [details]
samba log for the Win7 session (with the error)
Comment 5 anctop 2011-09-14 00:41:47 UTC
Created attachment 6888 [details]
samba log for the WinXP session (without the error)
Comment 6 Jeremy Allison 2011-09-15 00:17:41 UTC
Can you attach a debug level 10 log for the Win7 session to the Samba server including the error please ? The current log you posted doesn't have enough information to allow me to determine what is wrong.

Jeremy.
Comment 7 anctop 2011-09-15 03:35:04 UTC
The attachment 6887 [details] above was already a level 10 log.

Now I attach a level 100 log.
Comment 8 anctop 2011-09-15 03:36:29 UTC
Created attachment 6892 [details]
level 100 samba log for the Win7 session (with the error)
Comment 9 anctop 2011-09-27 06:46:38 UTC
I've just found some relevant pages on Microsoft support :

- http://social.technet.microsoft.com/Forums/en/w7itpronetworking/thread/02b4daf0-61d6-4f2b-bd95-d1a3eda6aff8

- http://support.microsoft.com/kb/937624

It appears that this "bug" belongs properly to Win7, not Samba.

I think that this case could be closed. I'm sorry for all the troubles caused.